Bug 602011 - fedora-easy-karma not catching some updates-testing packages
fedora-easy-karma not catching some updates-testing packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 21:21 EDT by Robert Lightfoot
Modified: 2010-08-06 15:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: fedora-easy-karma-0-0.6.20100629git0e80f096.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Lightfoot 2010-06-08 21:21:52 EDT
Description of problem:
Recent Packages installed from updates-testing are not offered from fedora-easy-karma for modification as they should be.

Version-Release number of selected component (if applicable):
fedora-easy-karma-0-0.5.20100315gitact8b834.fc13.noarch

How reproducible:
Present in last to tested packages

Steps to Reproduce:
1. [root]#yum --enablerepo=updates=testing update package_to_be_tested
2. run test to determine if package_to_be_tested works or fails
3. [root]#fedora-easy-karma --fas-username=FAS-USERNAME --bodhi-update-cache
4. package_to_be_tested is not presented for karmic update
5. yumdb info package_to_be_tested shows updates-testing as the source of the package
6. karma has to be added manually through http://admin.fedoraproject.org/updates 
  
Actual results:
fedora-easy-karma did not find package_to_be_updated and allow karmic modification

Expected results:
fedora-easy-karma will find package_to_be_updated and allow karmic modification

Additional info:
this situation was the case for recent yum-utils and python updates tested by the bug submitter.



   1.
      [Bob@Stable8664 ~]$ fedora-easy-karma --fas-username=boblfoot
   2.
      ================================================================================
   3.
      file-5.04-4.fc13
   4.
      ================================================================================
   5.
      Update ID: FEDORA-2010-9206
   6.
      Release: Fedora 13
   7.
      Status: testing
   8.
      Type: bugfix
   9.
      Karma: 1
  10.
      Bugs: https://bugzilla.redhat.com/566305 - "file" may trim too much of command line from core file
  11.
      Submitter: dnovotny
  12.
      Submitted: 2010-05-27 13:29:52
  13.
      Comments: dnovotny - 2010-05-27 13:30:00 (karma 0)
  14.
      This update has been submitted for testing.
  15.
      bodhi - 2010-05-28 18:08:42 (karma 0)
  16.
      This update has been pushed to testing
  17.
      redwolfe - 2010-05-31 19:33:00 (karma 1)
  18.
      no regressions seen
  19.
       
  20.
      https://admin.fedoraproject.org/updates/F13/FEDORA-2010-9206
  21.
       
  22.
      inst. RPMS: file-libs-5.04-4.fc13.x86_64 - Libraries for applications using libmagic
  23.
      : file-5.04-4.fc13.x86_64 - A utility for determining file types
  24.
      : python-magic-5.04-4.fc13.x86_64 - Python bindings for the libmagic API
  25.
       
  26.
      Comment? -1/0/1 ->karma, other -> skip> 0
  27.
      Comment> Not Tested
  28.
      Warning: Authentication error
  29.
      FAS Password for boblfoot:
  30.
      [Bob@Stable8664 ~]$ 



   1.
      Loaded plugins: presto, refresh-packagekit
   2.
      yum-utils-1.1.27-1.fc13.noarch
   3.
      checksum_data = 7dc29d369d3d923e3c81c28d8dcaad94beba804f326fa1adc098e87a4b329ae9
   4.
      checksum_type = sha256
   5.
      command_line = update yum-utils
   6.
      from_repo = updates-testing
   7.
      from_repo_revision = 1275932123
   8.
      from_repo_timestamp = 1275943771
   9.
      reason = user
  10.
      releasever = 13
Comment 1 Fedora Update System 2010-06-29 16:21:07 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc12
Comment 2 Fedora Update System 2010-06-29 16:21:16 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc13
Comment 3 Fedora Update System 2010-06-30 11:07:46 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc12
Comment 4 Fedora Update System 2010-06-30 11:08:22 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.fc13
Comment 5 Fedora Update System 2010-07-01 14:52:21 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-07-02 17:39:29 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1
Comment 7 Fedora Update System 2010-07-05 18:03:54 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-08-06 15:55:42 EDT
fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.